index_1

User Guide of the Printer Utility

Introduction and functions of the Printer Utility:

Introduction of the Printer Utility

Function list of the Printer Utility

Port Set

Logo Print

Sample Print

Status Monitor

Firmware Download

User Command

Character Print

Eeprom Set

NetWinConfig

How to add a program to Exceptions

Functions Supported

IP Bind


Introduction

1 . Introduction

This tool is used to show all the function and print effect of the printer. Please read the guide carefully before use the software.

2 . Operating system

32bit OS:

  • Windows 7
  • POSReady 7
  • Windows Server 2008
  • Windows Vista
  • Windows Server 2003
  • Windows XP
  • Windows 2000

64bit OS:

  • Windows 7 x64
  • Windows Server 2008 x64
  • Windows Vista x64
  • Windows Server 2003 x64
  • Windows XP x64

3 . Printer

  • RP-600

4. Port

  • Serial
  • Parallel
  • USB
  • Ethernet
  • WIFI
  • Driver

5. Release information

Version : V1.2 3

Release date : 2014-04-26

Changes :

  • Modify PTNetWinConfig.
  • Modify eeprom bugs.

Version : V1.22

Release date : 2014-02-19

Changes :

  • Modify PTNetWinConfig.

Version : V1.10

Release date : 2013-03-26

Changes :

  • Modify Logo download function.

Version : V1.09

Release date : 2013-03-19

Changes :

  • Modify Guide.chm.

Version : V1.08

Release date : 2013-03-07

Changes :

  • Logo download support JPEG and PNG, GIF format .

Version : V1.07

Release date : 2013-03-04

Changes :

  • Support adjust beeper volume.
  • Modify Guide.chm.

Version : V1.06

Release date : 2013-02-18

Changes :

  • Modify some bugs.

Version : V1.05

Release date : 2013-01-28

Changes :

  • Update Main form.

Version : V1.04

Release date : 2013-01-18

Changes :

  • Update Netwinconfig function and Ethernet bind function.

Version : V1.03

Release date : 2013-01-11

Changes :

  • Modify some bugs.

Version : V1.02

Release date : 2013-01-08

Changes :

  • Support Ethernet bind.

Version : V1.01

Release date : 2012-11-20

Changes :

  • Update USB device driver.
  • Modify "save paper" description.
Version : V1.0

Release date : 2012-10-09

Changes :

  • First release of the Printer Utility.


index_2

Function list of the Printer Utility:

Port Set

Logo Print

Sample Print

Firmware Download

Status Monitor

User Command

Character Print

Eeprom Set

NetWinConfig

IP Bind


Port Setting

Port Set

Port set is precondition for using the Printer Utility to operate the printer. Only after the software is connected to the printer rightly, users can do other operations. This operation include four steps as follows: Enter the main page; enter port set page; select the printer's name and the port In the combo box, and then configure the printer according to port type of the printer; click "OK" button to open the port.

Note: In Windows Vista and Windows 7, if UAC (User Account Control) is turned on, you may have to start this application by 'Run as administrator' so that all functions will performance correctly (shown as below).

Step 1 : Enter the main page

Execute Utility.exe and then enter the main page (shown as below).

Notices: Because you have not connected to printer, so some buttons and menu items are disable!

Step 2 : Enter port set page

There are three methods to enter "Port Set" page

a) Click "Port Set" button

b) Click "Port Set(S) " >> "Set Port Ctrl+P" on menu

c) Press shortcut key "Ctrl+P"

Step 3 : Select the printer's name and the port In the combo box, and then configure the printer according to port type of the printer

Select the name of printer in the combo box "Printer Name". There are five port setting areas: "COM Setting" area, "LPT Setting" area, "USB Setting" area, "Net Setting" and "Driver Selecting" area. In "Port Type" combo box , the ports your printer supported are listed, then you can select the port in "Port Type" combo box and the port's setting area is enabled.

1) When "COM" is selected, the "COM Setting" area is enabled. Please configure "COM Setting" area according to current printer status;

2) When "LPT" is selected, the "LPT Setting" area is enabled. Please select port number in "LPT Setting" area;

3) When "USB" is selected, the "USB Setting" area is enabled. Please select USB port number in "USB Setting" area;

Notices: When use USB port, please ensure that the USB port has connected to computer before enter the configuration interface.

4) When "Ethernet" or "WIFI" is selected, the "Net Setting" area is enabled. There are two methods to obtain IP address for the printer;

i ) Click "Set IP" button and input IP address of the printer;

ii) Click "Auto Get IP" button, the software will search network printer in local area network and list the IP address of them in combo box, then select the right printer in the IP address list;

Notices: When use Ethernet port, please add the "Utility.exe" program to Exceptions of Windows Firewall first. Please refer to "How to add a program to Exceptions".

5) When "Driver" is selected, the "Driver Selecting" area is enabled. Please select the driver name in combo box.

Step 4 : Click "OK" button to open the port

1) If open port successful, the software close port set page and return to main page, then configure usability of button and menu according to the current printer and the port type (shown as below).

2) If open port failed, the software will show an error message (as below) and return to "Port Set" page.

Notices:

a. If you use USB port, please install USB port driver with administrator user account first.

b. If open Ethernet port failed and the software show an error message as below, please add the "Utility.exe" program to Exceptions of Windows Firewall and try again.

Please refer to "How to add a program to Exceptions".


Logo Print

Logo print can process 24-bytes color bitmap, monochrome bitmap and gray bitmap, it has four kinds of image process as follows:

1) Four methods to convert color bitmap or gray bitmap to monochrome bitmap.

2) Adjust brightness of image.

3) Adjust contrast of image.

4) Adjust size of image and position of image.

Notices: Before the operation, please ensure you had set port parameter correctly and had connected to the printer, otherwise the operation is forbidden. Set port please refer to "Port set" page.

This operation include five steps as follows: Enter logo print page; click "Open Files" button and select bitmap files in "Open Files" dialog; image process; download bitmap to printer; print logo.

Note: There is space limit for Logo downloading. If the total size of all selected logos is beyond the limit, some logos can not be downloaded successfully.

Space limit depends on the printer configuration and please refer to the printer self-test page "FLASH: LOGOS/FONTS" for maximum available space.

Step 1 : Enter logo print page

There are three methods to enter "Logo" page

a) Click "Logo" button

b) Click "Logo(L)" >> "Logo Download Ctrl+L" on menu

c) Press shortcut key "Ctrl+L"

Step 2 : Click "Open Files" button and select bitmap files in "Open Files" dialog

1) Click "Open Files" button and enter the "Open Files" dialog.

Notices:

a. If the current printer you selected is thermal printer, the default directory of the logos is "Thermal";

b. If the bitmap file extend the maximal logo size, the page will show a message box and convert the size to normal size. The maximal logo size of the printer is:

Printer | Max Width (dots) | Max Height (dots)
RP-600 | 640 | 768

2) Enter the folder and select one or more bitmap files, click "Open" button, the selected files will be added to the list of "Logo Select and Preview" (shown as below).

Notices:

a. If you want to delete all the opened bitmap files, please click "Remove All" button;

b. If you want to delete selected bitmap files, please select files first, then click "Remove Sel" button;

c. If you want to preview bitmap files, please select a bitmap file in list view box and then image will be shown at right side;

d. If the bitmap file is extend the printer memory, the software will ignore the file. In the list view box, you will see the rightful files;

e. If you want to clear all logos in printer's flash memory, please click "Clear Logo" button.

Step 3 : Image process

Printer only can print monochrome bitmap and gray bitmap, so if use a color bitmap, program need to convert it to monochrome bitmap or gray bitmap.

The method for convert color image or gray bitmap to monochrome bitmap is as follows:

1) Select the color bitmap or gray bitmap to be download in the list box and the color bitmap adjusting area is enabled, you can select multiple lines with the shift key;

2) Select "Transformation" radio button in "Preview" area at left bottom corner of the form;

3) There are four methods to convert color bitmap to monochrome bitmap in "HalfTone" area, please select one of them and monochrome bitmap which converted from color bitmap will show at upper right corner;

4) Adjust the brightness and contract of the bitmap in "Contrast and Brightness" area.

Notices: If the file is color bitmap or gray bitmap, the "HalfTone" is enabled when you selected "Transformation" radio button in "Preview" area.

Step 4 : Download bitmap to printer

1) Select memory type:

a. If you want to download bitmap to RAM, please select Ram in "Memory" area;

b. If you want to download bitmap to Flash, please select Flash in "Memory" area.

2) Click "Download" button to download bitmap:

While downloading files, the below form is shown:

If the software write port failed, the software will show a message box:

If the software downloading files successful, the downloading files form will be closed and the printer will formfeed.

Step 5 : Print logo

1) Select files to be printed in list view box;

2) Select size of the logos to print in "Logo Print" area;

3) Click "Print" button to print the bitmap files you have selected.

Notices: If no file is selected, the printer will print nothing and there will be a message as below.

l


Sample Print

The main function of this part include: Print sample in print program, print data stored in files, set cut mode (If there is a cutter).

This operation include there steps as follows: Enter sample print page; print "Predefined" sample; print "User defined" sample.

Notices: Before the operation, please ensure you had set port parameter correctly and had connected to the printer, otherwise the operation is forbidden. Set port please refer to " Port set " page.

Step 1 : Enter sample print page

There are three methods to enter "Samples Print" page

a) Click "Samples" button

b) Click "Demo (E)" >> "Print Samples Ctrl+S" on menu

c) Press shortcut key "Ctrl+S"

Notices:

1) You can select cut mode in the "Cut mode" area .

2) Herald is enabled if there is an Alarm connected to printer and you can select it.

3) How to config the Water Mark parameters:

If the Printer support the Water Mark function, you should check the Water Mark box.

If you have checked the Water Mark box, the "Config" button will be enabled and click it to config the Water Mark parameters.

Printing Mode: Change the Water Mark printing mode. If you select "Printing", the printer will print the Water Mark when printing, else the printer will always print the Water Mark.
Align: Change the Water Mark aligning mode: left sides, right sides or centered.
Size of Width: Set the width of the Water Mark. You could set the width from one time to six times.
Size of Height: Set the height of the Water Mark. You could set the height from one time to six times.
Printing Logo: Select the logo in the flash of the printer as the Water Mark logo. If no logo in the flash, the printer will not print the Water Mark.
Brightness: Set the brightness(0-255) of the Water Mark.

Step 2 : Print "Predefined" samples

1) Select cut mode;

2) Select Herald mode;

3) Select "Print Sample ID" if you want the printer print sample number before the sample;

4) Select the items in list view box and you can select multiple lines with the shift key;

5) Click "Print samples" and then the printer will print the samples you selected;

Step 3 : Print "User defined" sample

1) Click "User defined" page to enter the page (shown as below).

2) Click "Open Files" to enter "Open Files" dialog, select and open the sample files (The filter of file is *.prn):

3) Select the items in list view box; if you want to print sample ID, please check "Print Sample ID"; click "Print Samples" button and the printer will show "Downloading files form" and print your sample;

Notices: If write port failed, the software will show a message:


Firmware Download

The main function of this part include: Select file's type, select file, download file to printer. In this page, user can download types of file to printer as follows:

1. Firmware file(*.JK)

2. Character file (*.ZK)

3. Font file (*.FNT)

4. Eeprom file (*.EEP)

5. All file (*.*)

Firmware download include three steps as follows: Enter firmware download page; select file type and open the file; click "Download" button to download.

Notices: Before the operation, please ensure you had set port parameter correctly and connected to the printer, otherwise the operation is forbidden. Set port please refer to "Port set" page.

Step 1 : Enter firmware download page

There are three methods to enter "Firmware Download" page

a) Click "FW Download" button

b) Click "Tools (T)" >> "Firmware Download Ctrl+F" on menu

c) Press shortcut key "Ctrl+F"

Step 2 : Select file type and open the file

1) Select the file's filter In "Select File Type" area;

2) Click "Open" button to open the file (shown as below).

Notices: After open file successful, the "Download" button is enabled.

Step 3 : Download file

Click the "Download" button to download file to printer.

While downloading files, the below form is shown.

Notices: If write port failed, the software will show a message:


Status Monitor

The main function of this part is get current status of printer.

Status Monitor include two steps as follows: Enter Status Monitor page; monitor the status of printer.

Notices: Before the operation, please ensure you had set port parameter correctly and had connected to the printer, otherwise the operation is forbidden. Set port please refer to " Port set " page.

Step 1: Enter Status Monitor page

There are three methods to enter "Status Monitor" page

a) Click "Status Monitor" button

b) Click "Tools" -> "Status Monitor Ctrl+T" on menu

c) Press shortcut key "Ctrl+T"

Step 2: Monitor the status of printer

Click "Start" button to start to monitor the status of printer (click "Stop" button to stop to monitor the status of printer).

 You will see the following program windows (If you have previous built the communication between printer and PC successfully).

Cash Drawer Open: when the light is in [image] state, it detects the printer's Cash Drawer is not open, but when the light's state changes to [image], it detects the printer's Cash Drawer is open.

Offline: when the light is in [image] state, it detects the printer is online, but when the light's state changes to [image], it detects the printer is offline.

Door Open: when the light is in [image] state, it detects the printer's door is not open, but when the light's state changes to [image], it detects the printer's door is open.

Feeding: when the light is in [image] state, it detects the printer's Feed button is not pressed, but when the light's state changes to [image], it detects the printer's Feed button is pressed.

Paper Near End: when the light is in [image] state, it detects the printer's paper is not in near end status, but when the light's state changes to [image], it detects the printer's paper is near end.

Paper End: when the light is in [image] state, it detects the printer's paper is not end, but when the light's state changes to [image], it detects the printer has no paper.

Cutter Error: when the light is in [image] state, it detects there is not cutter error, but when the light's state changes to [image], it detects the printer has cutter error.


User Command

The function of this part include: Input area, receive area, notice area, command area and print file area.

Notices: Before the operation, please ensure you had set port parameter correctly and had connected to the printer, otherwise the operation is forbidden. Set port please refer to " Port set " page.

Step 1: Enter User Command page

There are three methods to enter "User Command" page

a) Click "User Command" button

b) Click "Tools" -> "User Command Ctrl+U" on menu

c) Press shortcut key "Ctrl+U"

Input:
You can input commands in the input area. You also can click button "Open File" to select a file to be printed to the printer.
Click "Save File" to save the commands that you have edited to a file.
Receive:
Click "Display" button to receive the data returned by the printer.
Command:
Click the buttons to control the printer.
Notice:
Display whether your command have been sent successfully.
Print File:
Click button "Select File" to select a file to be printed to the printer, then click "Print File" to download your selected file to the printer.
You can input print times in the "Print Times" area and "Counter" area will show you a counter of printing.


Character Print

The font pattern's creating and printing

The main function of this part include: Create the font pattern, select download area, check the status of printer download area, download font pattern to printer, print created font pattern.

Notices: 1. Before the operation, please ensure you had set port parameter correctly and had connected to the printer, otherwise the operation is forbidden. Port set please refer to " Port set " page.

2. The guide of the User-defined font is same as the Code Page.

Select the Character Type before entering code page/user-defined font as follows.

This operation include six steps as follows: Enter code page; create font file; select and open font file; select download area; click "Download To Printer" button to download; click "Print And Set Default" button to print code page character.

Step 1 : Enter code page

There are three methods to enter "Code Page" page

a) Click "Code Pages" button

b) Click "Tools(T)" >> "Code Pages Ctrl+O" on menu

c) Press shortcut key "Ctrl+O"

Step 2 : Create font file

Click "New File" button, then enter "Save File" dialog to create font file (shown as below).

1) Select file path to saved to;

2) Name the file;

3) Select "File type" :12*24 or 9*17;

4) Click "Save" button to save the file;

Notices: If the font file edited already exists, please overleap this step and enter step 3 directly.

Step 3 : Select and open font file

1) Click "Open File" button, enter "Open File" dialog to open font file (shown as below).

2) Select the file to be opened, click "Open" button (here take a *.12X24 file as example), then you will see the following forms:

3) Grid part (size is 16 * 8) on the left is character showing area, every grid shows a character. You can select one character and you will see the character in big size on the right rectangular area (shown as below).

4) You can create new pattern on the right rectangular area with mouse.

Notices: You can mark font pattern by left button of mouse and you can erase font pattern by right button
of mouse. And you can Cut function, Copy function, Paste function and Clear function when you
specify the Range Tool by the speed button as follows.
1. Specify the copy area.
2. Use Copy function.
3. Move the active windows to edit window.
4. Push the "Paste" button on tool bar.

Please click "Save To File" button to save the character after editing.

Step 4 : Select download area

1) Select character download area in printer with "Code Page ID" and "Download Area ID";

Notice: For partial printers with a new firmware, the parameter 'Download Area ID' will be ignored when you download a codepage!

2) You can check the download area status by click "Download Area Status" button, and the status will be shown on the lower left corner.

The status indicate:

a. The first page in first area stores a code page whose character size is 12*24;

b. The other areas are idle.

Notices: You can clear all the code pages of the printer by click "Clear All Code Pages" button.

Step 5 : Click "Download To Printer" button to download

In downloading process, the mouse is in busy status. The guage above "Download To Printer" button shows the download status. After finished, the printer will make a feed action and the mouse comeback to idle status.

Notices: Some Printers have not opened this function and the printer begins to print after you clicked download button, then please click the "Enable Code Pages Function" menu item to have the function.

Step 6 : Click "Print And Set Default" button to print code page character

Notice: For partial printers with an older firmware, if the printer has two codepages with the same Font Type and Code Type ID, you could only print the one that in the high Download Area!


Eeprom Set

The main function of this part is set relative parameters of Eeprom of the printer.

Eeprom set include three steps as follows: Enter eeprom set page; configure settings of the printer; save settings of the printer.

Notices: 1.Before the operation, please ensure you had set port parameter correctly and had connected to the printer, otherwise the operation is forbidden. Port set please refer to " Port set " page.

Step 1 : Enter eeprom set page

There are three methods to enter "Eeprom Set" page

a) Click "Eeprom Set" button

b) Click "Tools (T)" >> "Eeprom Set Ctrl+R" on menu

c) Press shortcut key "Ctrl+R"

Step 2 : Configure settings of the printer

There are two methods to configure settings of the printer.

1) Click "Get Settings From Printer" button to get the printer's current settings, configure the settings you want.

2) Click "Import Settings From File..." button to import the printer settings file.

Notices: You can also export the eeprom settings to file with suffix "pes", using the "Export Settings To File..." button.

Step 3 : Save settings of the printer

Click the "Save Settings To Printer" button to save the settings to printer.

Notices: It will take a long time to set the eeprom settings to the printer, please don't operate the printer until the printer feeds paper.


NetWinConfig

The function of this part is used to config the net interface card. For more information, please refer to the help file in the current directory of "PTT Printer Utility Vx.xx\PTNetWinConfig\Guide.chm".

Notice: If can not print test page, please check whether the Ethernet printer has been opened by another application or not.


Bind IP

IP Bind

The main function include 3 steps.

Step 1 : Connect printer on Ethernet

Step 2 : Config the printer and listen the printer

Notices: If 'Binding Enable 'is yes, please reopen the printer and click 'Listen' to start listen.

"IP To Be Binded " must be filled in the computer's IP.

"Port To Be Binded "must be in 1025-65534 besides 4000 and 9100.

Step 3 : Send command to printer

Notices: If connected the printer, you can send command to the printer.


Troubleshoot

How to add a program to Exceptions

When use Ethernet port, if open port failed , you can check as the following methods:

  • Whether the printer and the PC have been connected with Ethernet cable correctly.
  • Whether t he parameter of Ethernet port is correctly.
  • Whether your select printer name matches the current Ethernet printer.

If the above condition is ok, the program still open port failed. Please add the Utility.exe program to Exceptions first and try again. The following take Windows XP system for example:

1. Click on menu "Start" -> "Settings" ->"Control Panel".

2. In the Control Panel dialog, double click the application "Windows Firewall" and select "Exceptions".

3. Click "Add Program" button. The browse dialog box will be displayed. Browse to directory in which the Utility.exe is stored, then select it and click "Open" button.

4. The "Utility.exe" has been added to the list, now double click the Utility.exe program and try again.


Functions Supported

RP-600

Port | Logo | Samples | FW Download | Status Monitor | User Command | Code Pages | Eeprom Set
Serial Port | Yes | Yes | Yes | Yes | Yes | Yes | Yes
Parallel Port | Yes | Yes | Yes | Yes | Yes | Yes | Yes
USB Port | Yes | Yes | Yes | Yes | Yes | Yes | Yes
Ethernet Port | Yes | Yes | Yes | No | Yes | Yes | Yes
WIFI Port | Yes | Yes | Yes | No | Yes | Yes | Yes
Driver Port | Yes | Yes | Yes | No | Yes | No | No